@import "src/app/core/sass/abstracts/mixins";

.card {

  &__header {
    height: 8rem;
    cursor: default;

    @include respond(phone) {
      height: 6rem;
    }
  }

  &__heading {
    @include respond(phone) {
      font-size: 1rem;
    }
  }
}

.images {
  flex-flow: row nowrap;
}

.rounded {
  height: 5rem;
  border-radius: 50%;
  filter: grayscale(100%);
  cursor: pointer;

  &--plus {
    margin-top: 1rem;
  }

  @include respond(phone) {
    height: 3rem;
  }
}

.tooltip {
  position: relative;
  display: inline-block;
}

.tooltip .tooltiptext {
  visibility: hidden;
  width: 18rem;
  background-color: rgba(black, .8);
  color: #fff;
  text-align: center;
  border-radius: 6px;
  padding: 5px 0;
  position: absolute;
  z-index: 1;
  top: 100%;
  left: 35%;
  margin-left: -60px;

  @include respond(tab-port) {
    width: 14rem;
  }

  @include respond(phone) {
    left: -200%;
    width: 18rem;
  }
}

.tooltip .tooltiptext::after {
  content: "";
  position: absolute;
  bottom: 100%;
  left: 35%;
  margin-left: -5px;
  border-width: 5px;
  border-style: solid;
  border-color: transparent transparent black transparent;

  @include respond(tab-port) {
    left: 48%;
  }

  @include respond(phone) {
    left: 69%;
  }
}

.tooltip:hover .tooltiptext {
  visibility: visible;
}
